Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface DiffuseLightingRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  DiffuseLightingRable8Bit

public interface DiffuseLightingRable
extends FilterColorInterpolation

This filter primitive lights an image using the alpha channel as a bump map. The resulting image is an RGBA opaque image based on the light color with alpha = 1.0 everywhere. The lighting calculation follows the standard diffuse component of the Phong lighting model. The resulting image depends on the light color, light position and surface geometry of the input bump map. This filter follows the specification of the feDiffuseLighting filter in the SVG 1.0 specification.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` | `getKd()`
`double[]` | `getKernelUnitLength()` Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.
`Light` | `getLight()`
`java.awt.geom.Rectangle2D` | `getLitRegion()`
`Filter` | `getSource()` Returns the source to be filtered
`double` | `getSurfaceScale()`
`void` | `setKd(double kd)` Sets the diffuse constant, or kd
`void` | `setKernelUnitLength(double[] kernelUnitLength)` Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient.
`void` | `setLight(Light light)`
`void` | `setLitRegion(java.awt.geom.Rectangle2D litRegion)` Sets the litRegion for this filter
`void` | `setSource(Filter src)` Sets the source to be filtered
`void` | `setSurfaceScale(double surfaceScale)` Sets the surface scale

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be filtered

### setSource

    public void setSource(Filter src)

  Sets the source to be filtered

### getLight

    public Light getLight()

  Returns:
    Light object used for the diffuse lighting

### setLight

    public void setLight(Light light)

### getSurfaceScale

    public double getSurfaceScale()

  Returns:
    surfaceScale

### setSurfaceScale

    public void setSurfaceScale(double surfaceScale)

  Sets the surface scale

### getKd

    public double getKd()

  Returns:
    diffuse constant, or kd.

### setKd

    public void setKd(double kd)

  Sets the diffuse constant, or kd

### getLitRegion

    public java.awt.geom.Rectangle2D getLitRegion()

  Returns:
    the litRegion for this filter

### setLitRegion

    public void setLitRegion(java.awt.geom.Rectangle2D litRegion)

  Sets the litRegion for this filter

### getKernelUnitLength

    public double[] getKernelUnitLength()

  Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.

### setKernelUnitLength

    public void setKernelUnitLength(double[] kernelUnitLength)

  Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient. If set to zero or null then device space will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.